<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">

	<changeSet id="0001" author="adel.ka">
		<comment>Add region_processing column to appeals_list table</comment>
		<sql>
			ALTER TABLE appeals.appeals_list
			ADD COLUMN IF NOT EXISTS region_processing VARCHAR;

			COMMENT ON COLUMN appeals.appeals_list.region_processing
			IS 'Регион обработки';
		</sql>
	</changeSet>

	<changeSet id="0002" author="adel.ka">
		<comment>add new table </comment>
		<sql>
			CREATE TABLE IF NOT EXISTS ervu_dashboard.recruitment_correspondences (
			id BIGSERIAL PRIMARY KEY,
			subject_recruitment VARCHAR NOT NULL,
			idm_id VARCHAR,
			pos_code VARCHAR(50) NOT NULL,
			region_name VARCHAR(500) NOT NULL
			);

			COMMENT ON TABLE recruitment_correspondences IS 'Таблица субъектов с привязкой к справочнику ПОС';
			COMMENT ON COLUMN recruitment_correspondences.subject_recruitment IS 'Субъектовый ВК';
			COMMENT ON COLUMN recruitment_correspondences.idm_id IS 'Идентификатор из IDM системы';
			COMMENT ON COLUMN recruitment_correspondences.pos_code IS 'Код из справочника ПОС';
			COMMENT ON COLUMN recruitment_correspondences.region_name IS 'Название региона';


			INSERT INTO ervu_dashboard.recruitment_correspondences
			(subject_recruitment, idm_id, pos_code, region_name)
			VALUES
			('Военный комиссариат Алтайского края', '6fb35508-cc4c-41b2-ad95-d3fb470df1b4', '1', 'Алтайский край'),
			('Военный комиссариат Амурской области', '432dddaa-61c2-4aa4-8231-173bdaf73343', '2', 'Амурская область'),
			('Военный комиссариат Архангельской области', '53725374-52ff-42b4-b493-05ab334450be', '3', 'Архангельская область'),
			('Военный комиссариат Астраханской области', '606300b3-a5a7-4233-80f2-8e14c38f0a01', '4', 'Астраханская область'),
			('Военный комиссариат Белгородской области', 'a9051471-95e3-4e4b-bbe6-aef36902697f', '5', 'Белгородская область'),
			('Военный комиссариат Брянской области', 'd85df7ec-149a-4468-870d-2945f9f639a4', '6', 'Брянская область'),
			('Военный комиссариат Владимирской области', '72144af8-cdc7-482b-9107-4a55c8cd7ff2', '7', 'Владимирская область'),
			('Военный комиссариат Волгоградской области', '4a9eb287-2161-4d74-a55e-22e135030a74', '8', 'Волгоградская область'),
			('Военный комиссариат Вологодской области', 'e75d9df7-c49d-478d-be6a-38d2784ba597', '9', 'Вологодская область'),
			('Военный комиссариат Воронежской области', '50aef407-d2ff-409e-a276-acb4e5398ab3', '10', 'Воронежская область'),
			('Военный комиссариат Еврейской автономной области', '717b197c-47b3-45a4-8878-a7315333a930', '11', 'Еврейская автономная область'),
			('Военный комиссариат Забайкальского края', '80cadac4-67f9-4cc0-9411-fa27d553199b', '12', 'Забайкальский край'),
			('Военный комиссариат Ивановской области', '6ba2cb3b-26ec-4608-86dc-654637538aaf', '13', 'Ивановская область'),
			('Военный комиссариат Иркутской области', 'f2053014-62dd-4b90-ab0e-db526def55de', '14', 'Иркутская область'),
			('Военный комиссариат Кабардино-Балкарской Республики', '9be30b3b-d7a2-47d2-82a7-f66cef07d606', '15', 'Кабардино-Балкарская Республика'),
			('Военный комиссариат Калининградской области', 'ba3f16ac-682b-4ae5-b453-19a5af034935', '16', 'Калининградская область'),
			('Военный комиссариат Калужской области', 'f3601e21-2ba6-4c87-a884-3a3383487408', '17', 'Калужская область'),
			('Военный комиссариат Камчатского края', '06cbca21-bf8f-4789-9e3d-e7e05b21afab', '18', 'Камчатский край'),
			('Военный комиссариат Карачаево-Черкесской Республики', '933dcd88-ec48-4742-8b0b-cc9fd8f12877', '19', 'Карачаево-Черкесская Республика'),
			('Военный комиссариат Кемеровской области - Кузбасса', '859c756e-8714-48ff-8489-c1ea038e9c09', '20', 'Кемеровская область'),
			('Военный комиссариат Кировской области', '8b4e83ce-23d7-4b42-9950-a832907d398e', '21', 'Кировская область'),
			('Военный комиссариат Костромской области', '36291212-ddce-43f8-ba2d-405ca30a5fa7', '22', 'Костромская область'),
			('Военный комиссариат Краснодарского края', 'd6222e15-982c-43f1-ab32-04a2de9ba39f', '23', 'Краснодарский край'),
			('Военный комиссариат Красноярского края', 'a6b53b17-131a-4018-aaa0-cf004007ef95', '24', 'Красноярский край'),
			('Военный комиссариат Курганской области', '324eb82f-e4b1-47bc-ba4e-1909994b3e9f', '25', 'Курганская область'),
			('Военный комиссариат Курской области', 'c31cb4dd-bc3a-4439-9943-8a5bbf96d1e4', '26', 'Курская область'),
			('Военный комиссариат Ленинградской области', '9f14f463-cdf9-4404-b738-5a496c9ada4c', '27', 'Ленинградская область'),
			('Военный комиссариат Липецкой области', '2137685f-0683-4131-82d8-983222114184', '28', 'Липецкая область'),
			('Военный комиссариат Магаданской области', '34c7d61a-0f9d-4cc8-86fc-2930b5bc4935', '29', 'Магаданская область'),
			('Военный комиссариат города Москвы', '1d6fec13-cf26-48ed-a870-e67868f19b3f', '80', 'Москва'),
			('Военный комиссариат Московской области', 'e188a334-1799-493f-8982-23cfe1daf035', '30', 'Московская область'),
			('Военный комиссариат Мурманской области', '4cc69fef-8772-4f69-924b-d38bf1ba35c5', '31', 'Мурманская область'),
			('Военный комиссариат Архангельской области', '53725374-52ff-42b4-b493-05ab334450be', '81', 'Ненецкий автономный округ'),
			('Военный комиссариат Нижегородской области', 'dbc10311-3ec0-43d1-9621-27bc4b4dc27f', '32', 'Нижегородская область'),
			('Военный комиссариат Новгородской области', '18ceb4ec-da2b-45b4-9b98-ba6441080210', '33', 'Новгородская область'),
			('Военный комиссариат Новосибирской области', 'a236d909-ac0b-4de6-bcf7-90899e6a9257', '34', 'Новосибирская область'),
			('Военный комиссариат Омской области', 'adfa8463-4833-4a80-b893-3d5e5933004e', '35', 'Омская область'),
			('Военный комиссариат Оренбургской области', '46192440-0fca-4be7-ab17-a29907c26bf4', '36', 'Оренбургская область'),
			('Военный комиссариат Орловской области', 'bddd6955-5786-4897-a772-fa0929a763ea', '37', 'Орловская область'),
			('Военный комиссариат Пензенской области', '90d7ff77-d62a-4c5e-bb1d-194b86480d50', '38', 'Пензенская область'),
			('Военный комиссариат Пермского края', '8396f21a-e318-4c2a-b3e6-95b425359117', '39', 'Пермский край'),
			('Военный комиссариат Приморского края', 'eb23516d-4c7e-49f1-bd4b-4bf05d345bd7', '40', 'Приморский край'),
			('Военный комиссариат Псковской области', 'c3d1838b-c98d-411a-aab0-d447b0c28b65', '41', 'Псковская область'),
			('Военный комиссариат Республики Адыгея', '7769eacf-1f33-4bcc-ae2e-21035c4ad8b7', '42', 'Республика Адыгея'),
			('Военный комиссариат Республики Алтай', 'b818374a-6493-4409-af65-92217264d698', '43', 'Республика Алтай'),
			('Военный комиссариат Республики Башкортостан', '7d3660f0-b822-4749-93b8-31142fa54803', '44', 'Республика Башкортостан'),
			('Военный комиссариат Республики Бурятия', '4303b5b8-b964-4ddb-ade4-e1f39a65aa09', '45', 'Республика Бурятия'),
			('Военный комиссариат Республики Дагестан', '62a4da0b-6e6e-4a12-ae97-9a15a4449564', '46', 'Республика Дагестан'),
			('Военный комиссариат Республики Ингушетия', '24c52d0d-79eb-4bc9-989c-34239ddba81c', '47', 'Республика Ингушетия'),
			('Военный комиссариат Республики Калмыкия', '2c87b8b2-9ef4-47cf-affc-3f017bb252a4', '48', 'Республика Калмыкия'),
			('Военный комиссариат республики Карелия', '77d4ee83-442a-423b-b194-a3825cbbf5c8', '49', 'Республика Карелия'),
			('Военный комиссариат Республики Коми', 'ef3f528e-9deb-4902-aec8-761cc59c89d5', '50', 'Республика Коми'),
			('Военный комиссариат Республики Крым', 'dae403a0-8289-4a07-acf1-f8a0e175f332', '85', 'Республика Крым'),
			('Военный комиссариат Республики Марий Эл', 'bb7aa36f-446e-4262-a609-28694ca2e398', '51', 'Республика Марий Эл'),
			('Военный комиссариат Республики Мордовия', 'd0369a09-162c-4345-924d-de45ece01ec9', '52', 'Республика Мордовия'),
			('Военный комиссариат Республики Саха (Якутия)', '1a85532a-e7bf-432e-b65b-e4b639615b91', '53', 'Республика Саха (Якутия)'),
			('Военный комиссариат Республики Северная Осетия - Алания', '2c181b26-474f-4137-8c6c-cebb4bfe6f10', '54', 'Республика Северная Осетия — Алания'),
			('Военный комиссариат Республики Татарстан', '2d060d13-b3f7-437a-a11b-b5133b005fb1', '55', 'Республика Татарстан'),
			('Военный комиссариат Республики Тыва', 'b0c950d4-8b71-4419-8098-339969e816b7', '56', 'Республика Тыва'),
			('Военный комиссариат Республики Хакасия', 'be77013b-01a3-4fc5-bb90-dea3f826f490', '57', 'Республика Хакасия'),
			('Военный комиссариат Ростовской области', 'd1c829a0-420d-4317-8e11-444d9bc11e34', '58', 'Ростовская область'),
			('Военный комиссариат Рязанской области', '092d6963-287c-454e-8d73-8e09ebee972e', '59', 'Рязанская область'),
			('Военный комиссариат Самарской области', 'ef37a071-21b4-479d-bfab-f39d20eda79b', '60', 'Самарская область'),
			('Военный комиссариат города Санкт-Петербург', 'e597e022-7914-490b-8fd2-b332fc8b8372', '79', 'Санкт-Петербург'),
			('Военный комиссариат Саратовской области', '783cf94d-c135-4f02-ab39-7812595aadb6', '61', 'Саратовская область'),
			('Военный комиссариат Сахалинской области', '84bc45ab-c032-410e-9dc5-07e92719ede4', '62', 'Сахалинская область'),
			('Военный комиссариат Свердловской области', 'eef1b3c7-795c-439c-938f-893e9852d736', '63', 'Свердловская область'),
			('Военный комиссариат города Севастополь ', '5165d71f-2051-48bb-81e8-fda9c670e721', '84', 'Севастополь'),
			('Военный комиссариат Смоленской области', '4fc9cf42-c964-41b0-9b32-f75ca8b31fa0', '64', 'Смоленская область'),
			('Военный комиссариат Ставропольского края', '1fe82937-b8b9-4271-87a7-9ef12a05a20a', '65', 'Ставропольский край'),
			('Военный комиссариат Тамбовской области', '7926a0e3-10ac-457c-9bcc-86ac60470dac', '66', 'Тамбовская область'),
			('Военный комиссариат Тверской области', 'c218b8f1-76c0-42c9-8709-a43cb3282064', '67', 'Тверская область'),
			('Военный комиссариат Томской области', '24e2cafe-ba88-40a5-8333-1f8ab67910ad', '68', 'Томская область'),
			('Военный комиссариат Тульской области', '13cc7eee-7558-46f0-83a8-62f7d4b04b96', '69', 'Тульская область'),
			('Военный комиссариат Тюменской области', '48ba6973-22ef-4a50-ab73-e579956f7f6a', '70', 'Тюменская область'),
			('Военный комиссариат Удмуртской Республики', '5797b5bb-3d6d-4b11-bda3-11efc2c645e6', '71', 'Удмуртская Республика'),
			('Военный комиссариат Ульяновской области', '2c63cd1e-8ff8-4300-be46-081cd538a2b1', '72', 'Ульяновская область'),
			('Военный комиссариат Хабаровского края', 'a024e0ed-093f-4684-8b39-a139d8d8cb06', '73', 'Хабаровский край'),
			('Военный комиссариат Ханты-Мансийского АО - Югры', '470491b0-f70f-421c-896e-8da480c1b3ad', '82', 'Ханты-Мансийский автономный округ'),
			('Военный комиссариат Челябинской области', 'afcb559d-022f-416b-93e5-9d7c89b8ddf2', '74', 'Челябинская область'),
			('Военный комиссариат Чеченской Республики', '8b0b3526-785d-48a0-b7a1-30cca0f722ff', '75', 'Чеченская Республика'),
			('Военный комиссариат Чувашской Республики', 'c9fdc070-bf64-4159-a0bd-de69a412e93b', '76', 'Чувашская Республика'),
			('Военный комиссариат Магаданской области', '34c7d61a-0f9d-4cc8-86fc-2930b5bc4935', '77', 'Чукотский автономный округ'),
			('Военный комиссариат Ямало-Ненецкого АО', 'b2114328-072d-4813-a2d0-686c65093ecd', '83', 'Ямало-Ненецкий автономный округ'),
			('Военный комиссариат Ярославской области', '79be3c0a-5cc9-4a68-95cd-9b011ad3cfae', '78', 'Ярославская область');
		</sql>
	</changeSet>

	<changeSet id="0003" author="adel.ka">
		<comment>Change idm_id type to UUID in recruitment_correspondences table</comment>
		<sql>
			ALTER TABLE ervu_dashboard.recruitment_correspondences
			ALTER COLUMN idm_id TYPE UUID USING idm_id::uuid;

			ALTER TABLE ervu_dashboard.recruitment_correspondences
			ALTER COLUMN idm_id SET NOT NULL;
		</sql>
	</changeSet>


	<changeSet id="0004" author="adel.ka">
		<comment>Change id_region type to VARCHAR in review_rating table</comment>
		<sql>
			ALTER TABLE appeals.review_rating
			DROP CONSTRAINT IF EXISTS fk_region,
			ALTER COLUMN id_region TYPE VARCHAR USING id_region::varchar;
		</sql>
	</changeSet>

	<changeSet id="0005" author="adel.ka">
		<comment>Change id_region type to VARCHAR in review_rating table</comment>
		<sql>
			ALTER TABLE ratings.consideration_complaint
			ADD COLUMN IF NOT EXISTS region_code varchar;

			COMMENT ON COLUMN ratings.consideration_complaint.region_code IS 'Код региона';
		</sql>
	</changeSet>
</databaseChangeLog>